Subject: 25.0.50; Disable Org, Tbl, & Text menu items that change buffer when read-only

From: Drew Adams <[email-masked]>
Date: Mon, 10 Nov 2014 14:13:08 -0800 (PST)

There are lots of menu items in the Org menu-bar menus (Org, Tbl, Text)
that modify the buffer but are not disabled when the buffer is
read-only.  They should be - they are no-ops in this context.

This is all the more important because there are still plenty of menu
items for commands that are useful in a read-only buffer.  Disabling the
others makes those that are available more obvious and easier to select.

That is what we do for the Edit menu, for example.  You can use it as a
model, here.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'